=== debian/changelog ===
postgresql-q3c (1.5.0-3build1) bionic; urgency=medium

  * No-change rebuild against postgresql-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Nov 2017 11:54:48 -0400

postgresql-q3c (1.5.0-3) unstable; urgency=medium

  * Create a single package for all PostgreSQL versions
  * Rebuild against postgresql-10. Closes: #876788

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Sep 2017 21:37:30 +0200

postgresql-q3c (1.5.0-2) unstable; urgency=medium

  * Add Markus Nullmeier as Co-maintainer
  * Push Standards-Version to 4.1.0. No changes needed.
  * Add d/u/metadata
  * Fix short license name
  * Update regression tests. Fixes CI test failures on ppc64el+i386
  * Fix CI test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Sep 2017 09:02:30 +0200

postgresql-q3c (1.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #680222)

 -- Ole Streicher <olebole@debian.org>  Mon, 07 Aug 2017 14:13:00 +0200
