=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, gcc | c-compiler, libc6-dev
Tests: installcheck
Restrictions: allow-stderr
