=== debian/changelog ===
postgresql-q3c (1.6.0-1) unstable; urgency=low

  * New upstream version 1.6.0
  * Drop Update-the-regression-tests.patch: applied upstream
  * Push Standards-Version to 4.2.1. Change some URLs to https

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Nov 2018 17:51:23 +0100

postgresql-q3c (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Test-depend on build-essential instead of c-compiler. With PG11 depending
    on LLVM, the testsuite was preferring clang-7 over gcc, and while we
    should really be invoking "cc" instead of "gcc", that wouldn't fix the
    issue because "cc" is only provided by clang, not clang-7.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Oct 2018 11:38:44 +0200

postgresql-q3c (1.5.0-5) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:34:19 +0200

postgresql-q3c (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Fix Depends/Provides fields for more than two supported versions.
  * debian/tests/control: Depend on postgresql-all as the package itself does
    not pull in all required server versions.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 May 2018 09:39:05 +0200
