=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: postgresql-q3c
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
                postgresql-server-dev-all
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-q3c.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-q3c.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git
 
 Package: postgresql-q3c
 Architecture: any
