=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/>> debian/postgresql-q3c.substvars
-	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/>> debian/postgresql-q3c.substvars
+	echo "postgresql:Depends=$(PG_DEPENDS)" | sed s/\ /\|/g >> debian/postgresql-$(MODULE_NAME).substvars
+	echo "postgresql:Provides=$(PG_PROVIDES)" | sed s/\ /,/g >> debian/postgresql-$(MODULE_NAME).substvars
 
 override_dh_auto_test:
 	true
