=== debian/tests/control ===
Depends: @, postgresql-all, build-essential
Tests: installcheck
Restrictions: allow-stderr
