=== debian/changelog ===
postgresql-q3c (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.0.
  * Add debian/gitlab-ci.yml.
  * Makefile: Add missing LDFLAGS.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jul 2019 19:43:33 +0200
