=== debian/changelog ===
postgresql-q3c (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version with PostgreSQL 12 support.
  * Rewrite rules to use "pg_buildext loop", the upstream makefile doesn't
    support VPATH builds and our workaround was actually buggy.
  * Use dh_gencontrol to set dpkg template variables.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 19:10:02 +0100
