=== debian/changelog ===
postgresql-q3c (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2020 13:36:25 +0100
