=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9),
                postgresql-server-dev-all
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git
