=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MODULE_NAME=q3c

PG_DEPENDS=$(shell pg_buildext supported-versions | tac | sed -e 's/^/postgresql-/' -e 's/$$/|/g')
PG_PROVIDES=$(shell pg_buildext supported-versions | tac | sed "s/^\(.*\)/postgresql-\1-$(MODULE_NAME),/")

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-$(MODULE_NAME)

override_dh_auto_test:

override_dh_gencontrol:
	dh_gencontrol -- -V"postgresql:Depends=$(PG_DEPENDS)" -V"postgresql:Provides=$(PG_PROVIDES)"

%:
	dh $@
