## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg20.04+1

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200

postgresql-q3c (2.0.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:46:22 +0200

postgresql-q3c (2.0.0-5) unstable; urgency=medium

  * Remove Conflitcs+Replaces: postgresql-pgsphere (Closes: #989731)

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Jun 2021 15:37:28 +0200

postgresql-q3c (2.0.0-4) unstable; urgency=medium

  * Add test-dependency on postgresql-common (>= 219~) for pg_buildext
    virtualenv. (Closes: #972046)

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 22:45:45 +0200

postgresql-q3c (2.0.0-3) unstable; urgency=medium

  * Testsuite: Skip the tests that are really slow.
  * Testsuite: Re-add dependency on build-essential that got lost.
  * Make gen_data compile without postgres.h.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 20:15:26 +0200

postgresql-q3c (2.0.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Migrate to standard PostgreSQL extension package layout with separate
    packages per PostgreSQL major version. (Closes: #962260)
  * DH 13.
  * debian/tests: Use pg_buildext virtualenv.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 22:14:56 +0200

postgresql-q3c (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Mar 2020 10:05:31 +0100
