=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>,
            Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                postgresql-all (>= 219~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
