## postgresql-q3c 2.0.0~20220627.1533-6~1.git26fc1e2.pgdg+1

=== debian/changelog ===
postgresql-q3c (2.0.0~20220627.1533-6~1.git26fc1e2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:46:22 +0200
