## postgresql-q3c 2.0.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,13 @@
 include $(PGXS)
 PGVERNEW := $(shell if [ $(MAJORVERSION) -ge 12 ] ; then echo N ; else echo O ; fi )
 
-MYBINLIBS := -L$(shell $(PG_CONFIG) --pkglibdir) -lpgport -lm
+ifeq ($(PGVERNEW), N)
+	PG_LIBS += -L$(shell $(PG_CONFIG) --pkglibdir)
+	LIBS := $(filter-out -lpam -lxml2 -lxslt -lselinux -ledit, $(LIBS))
+	MYBINLIBS := $(LIBS) $(PG_LIBS) -lm
+else
+	MYBINLIBS := $(PG_LIBS) -lm
+endif
 
 dump.c: prepare
 	./prepare
@@ -33,9 +39,9 @@
 	$(CC) prepare.o q3cube.o q3c_poly.o $(PG_LDFLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
 
 gen_data: gen_data.c
-	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) -lm -o $@
+	$(CC) $< $(CPPFLAGS) $(PG_LFGLAGS) $(LDFLAGS) $(MYBINLIBS) -o $@
 
-test: gen_data
+test: gen_data all
 	createdb q3c_test
 	psql q3c_test -c "CREATE TABLE test (ra double precision, dec double precision)"
 	psql q3c_test -c "CREATE TABLE test1 (ra double precision, dec double precision)"
@@ -64,23 +70,22 @@
 	mkdir -p results
 	cat sql/ang2ipix.sql | psql q3c_test > results/ang2ipix.out
 	diff results/ang2ipix.out expected/ang2ipix.expected
-	# Debian: Skip the tests that are very slow (> 20s)
-	#cat sql/cone.sql | psql q3c_test > results/cone.out
-	#diff results/cone.out expected/cone.expected
+	cat sql/cone.sql | psql q3c_test > results/cone.out
+	diff results/cone.out expected/cone.expected
 	cat sql/cone_join_rev.sql | psql q3c_test > results/cone.out
 	diff results/cone.out expected/cone.expected
 	cat sql/ellipse.sql | psql q3c_test > results/ellipse.out
 	diff results/ellipse.out expected/ellipse.expected
-	#cat sql/join.sql | psql q3c_test > results/join.out
-	#diff results/join.out expected/join.expected
-	#cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
-	#diff results/join_pm1.out expected/join_pm1.expected
-	#cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
-	#diff results/join_pm2.out expected/join_pm2.expected
-	#cat sql/poly.sql | psql q3c_test > results/poly.out
-	#diff results/poly.out expected/poly.expected
-	#cat sql/poly1.sql | psql q3c_test > results/poly1.out
-	#diff results/poly1.out expected/poly.expected
+	cat sql/join.sql | psql q3c_test > results/join.out
+	diff results/join.out expected/join.expected
+	cat sql/join_pm1.sql | psql q3c_test > results/join_pm1.out
+	diff results/join_pm1.out expected/join_pm1.expected
+	cat sql/join_pm2.sql | psql q3c_test > results/join_pm2.out
+	diff results/join_pm2.out expected/join_pm2.expected
+	cat sql/poly.sql | psql q3c_test > results/poly.out
+	diff results/poly.out expected/poly.expected
+	cat sql/poly1.sql | psql q3c_test > results/poly1.out
+	diff results/poly1.out expected/poly.expected
 	cat sql/version.sql | psql q3c_test > results/version.out
 	diff results/version.out expected/version.expected
 	cat sql/area.sql | psql q3c_test > results/area.out
