=== debian/control ===
Source: postgresql-q3c
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Nullmeier <mnullmei@ari.uni-heidelberg.de>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13),
               postgresql-all (>= 219~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.sai.msu.su/~megera/wiki/SkyPixelization
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-q3c
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-q3c.git

Package: postgresql-14-q3c
Architecture: any
Depends: postgresql-14,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: postgresql-q3c
Description: PostgreSQL 14 extension used for indexing the sky
 Q3C, an extension for PostgreSQL, is designed for the work with large
 astronomical catalogues or any catalogs of objects on the sphere.
 .
 This extension allows a user to perform fast circular, elliptical or
 polygonal searches on the sky as well as fast cross-matches.
